
%define gtk2_version           2.7.0
%define gnome_vfs2_version     2.6.0
%define libgnomeui_version     2.6.0
%define libglade2_version      2.5.0
%define dbus_version           0.60
%define libxml2_version        2.6.0
%define gconf2_version         2.6.1
%define redhat_menus_version   5.0.1
%define gnome_menus_version    2.11.1
%define libexif_version        0.6.12

Summary: GNOME Screensaver
Name: gnome-screensaver
Version: 2.14.3
Release: 3%{?dist}
License: GPL
Group: Amusement/Graphics
Source0: %{name}-%{version}.tar.bz2
Source1: gnome-screensaver-hide-xscreensaver.menu
Source2: fedoralogo-floaters-lock-dialog.tar.gz
Source3: gnome-compiler-flags.m4
Source4: fedoralogo-floaters.desktop
Source5: gnome-logo-white.svg

Patch0: gnome-screensaver-2.14.2-lock-dialog.patch
Patch1: gnome-screensaver-0.0.23-use-floaters-by-default.patch
Patch2: gnome-screensaver-2.13.91-shrink-em.patch

BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gnome.org
BuildRequires: gtk2-devel => %{gtk2_version}
BuildRequires: gnome-vfs2-devel => %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel => %{libgnomeui_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: libglade2-devel => %{libglade2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-menus-devel >= %{gnome_menus_version}
BuildRequires: libexif-devel >= %{libexif_version}
BuildRequires: pam-devel
BuildRequires: libX11-devel, libXScrnSaver-devel, libXext-devel
BuildRequires: libXinerama-devel libXmu-devel
# this is here because the configure tests look for protocol headers
BuildRequires: xorg-x11-proto-devel
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: nss-devel
BuildRequires: automake, autoconf, libtool, intltool

Requires: gtk2 >= %{gtk2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: dbus-glib >= %{dbus_version}
Requires: libglade2 >= %{libglade2_version}
Requires: libxml2 >= %{libxml2_version}
Requires: GConf2 >= %{gconf2_version}
Requires: redhat-menus >= %{redhat_menus_version}
Requires: system-logos

Conflicts: xscreensaver < 4.24-3

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%prep
%setup -q -a2
%patch0 -p1 -b .lock-dialog
%patch1 -p1 -b .use-floaters-by-default
%patch2 -p1 -b .shrink-em

%build
#intltoolize --force
#aclocal
#cat %{SOURCE3} >> aclocal.m4
#automake
#autoconf
%configure --with-xscreensaverdir=/usr/share/xscreensaver/config \
           --with-xscreensaverhackdir=/usr/libexec/xscreensaver  \
           --with-gdm-config=/etc/X11/gdm/gdm.conf               \
	   --with-mit-screensaver=no
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-only-show-in GNOME                                              \
  --add-category X-Red-Hat-Base                                         \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

# hide xscreensaver from the menus
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/preferences-post-merged/gnome-screensaver-hide-xscreensaver.menu
# install floaters lock dialog
cp fedoralogo-floaters-lock-dialog* $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver/themes

install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver/themes

rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-logo-white.svg
install -D -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-logo-white.svg


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-screensaver.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/applications/gnome-screensaver-preferences.desktop
%{_datadir}/gnome-screensaver/*
%{_datadir}/pixmaps/backgrounds/*
%{_datadir}/pixmaps/gnome-logo-white.svg
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/menus/preferences-post-merged/*
%{_sysconfdir}/xdg/menus/gnome-screensavers.menu
%{_sysconfdir}/pam.d/*

%changelog
* Tue Sep 05 2006 Nils Philippsen <nphilipp@redhat.com> - 2.14.3-3.fc5
- remove xscreensaver migration cruft (post script and triggers, #204944)

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.3-1.fc5
- Update to 2.14.3

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> 2.14.2-1.fc5.2
- Require system-logos, not fedora-logos

* Mon May 29 2006 Matthias Clasen <mclasen@redhat.com> 2.14.2-1
- Update to 2.14.2

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> 2.14.1-1.fc5.1
- Update to 2.14.1
- Drop upstreamed patch

* Tue Apr  4 2006 Ray Strode <rstrode@redhat.com> 2.14.0-4
- don't ignore idle timers after long suspend
  (bug 183668)

* Thu Mar 30 2006 Ray Strode <rstrode@redhat.com> 2.14.0-3
- refresh kerberos credentials when unlocking screen 
  (bug 187341)

* Sat Mar 25 2006 Ray Strode <rstrode@redhat.com> 2.14.0-2
- Add missing "c" to the word "Screensaver" in summary
  (bug 186711).

* Mon Mar 13 2006 Matthias Clasen  <mclasen@redhat.com> 2.14.0-1
- Update to 2.14.0

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2
- BuildRequires: libXmu-devel

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Mon Feb 13 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-4
- migrate xscreensaver screensavers in %%post as well as the
  triggers already there (bug 180984)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-3.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-3
- take some more measures to cut cpu usage down

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-2
- try to migrate xscreensaver screensavers (bug 172715)

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Sun Jan 22 2006 Ray Strode <rstrode@redhat.com> - 2.13.5-4
- throttle cpu usage in floaters screensaver to allow things
  like background compiles to be faster (bug 178496).

* Thu Jan 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-3
- Slight improvements to the Fedora lock dialog

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-1
- Update to 2.13.5

* Fri Jan 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.0.24-1
- Update to 0.0.24

* Mon Jan 9 2006 Ray Strode <rstrode@redhat.com> - 0.0.23-4
- don't include .desktop part of theme name in gconf schema

* Tue Dec 20 2005 Ray Strode <rstrode@redhat.com> - 0.0.23-3
- use fedora floater screensaver by default (bug 176229)

* Tue Dec 20 2005 Ray Strode <rstrode@redhat.com> - 0.0.23-2
- install the right theme file instead of a tarball

* Tue Dec 20 2005 Ray Strode <rstrode@redhat.com> - 0.0.23-1
- Update to 0.0.23
- remove floaters screensaver engine patch (it's upstreamed)
- keep fedora branded parts

* Mon Dec 19 2005 Matthias Clasen <mclasen@redhat.com> - 0.0.22-3
- add floaters lock dialog

* Sun Dec 18 2005 Ray Strode <rstrode@redhat.com> - 0.0.22-2
- add floaters screensaver

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> - 0.0.22-1
- Update to 0.0.22

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.0.20-2.1
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.0.20-2
- rebuild for new dbus

* Mon Nov 21 2005 Ray Strode <rstrode@redhat.com> 0.0.20-1
- upgrade to 0.0.20

* Thu Nov 10 2005 Ray Strode <rstrode@redhat.com> 0.0.18-2
- make screensaver background window override redirect (bug 172889). 

* Thu Nov  3 2005 Ray Strode <rstrode@redhat.com> 0.0.18-1
- Update to 0.0.18

* Tue Nov  1 2005 Matthias Clasen <mclasen@redhat.com> 0.0.17-4
- Use /proc/interrupts

* Tue Nov  1 2005 Matthias Clasen <mclasen@redhat.com> 0.0.17-2
- Switch requires to modular X

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com> 0.0.17-1
- Update to 0.0.17

* Sun Oct 16 2005 Matthias Clasen <mclasen@redhat.com> 0.0.16-1
- Update to 0.0.16

* Fri Oct 14 2005 Matthias Clasen <mclasen@redhat.com> 0.0.15-2
- Don't use pam_stack (#170703)

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> 0.0.15-1
- Update to 0.0.15

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> 0.0.14-1
- Update to 0.0.14
- Drop upstreamed patches

* Tue Sep 27 2005 Ray Strode <rstrode@redhat.com> 0.0.13-5
- Location to copy .menu file changed to preferences-post-merged.

* Mon Sep 26 2005 Ray Strode <rstrode@redhat.com> 0.0.13-4
- Copy .menu file to hide xscreensaver from menus (bug 169108).

* Fri Sep 23 2005 Ray Strode <rstrode@redhat.com> 0.0.13-3
- We don't want the xscreensaver virtual provides
- Don't use /proc/interrupts

* Thu Sep 22 2005 Matthias Clasen <mclasen@redhat.com> 0.0.13-2
- Explicitly specify xscreensaver directories
- Turn off fast user switching for now

* Wed Sep 21 2005 Ray Strode  <rstrode@redhat.com> 0.0.13-1
- Update to 0.0.13

* Fri Sep 13 2005 David Zeuthen <davidz@redhat.com> 0.0.8-1
- Initial package 



